// pages/mine/mine.js
const api = require('../../api/index')
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    menu1:[
      {
        label:'关注微信公众号',
        type:'1'
      },
      {
        label:'帮助与反馈',
        type:'2'
      },
    ],
    menu2:[
      {
        type:1,
        label:'我的关注',
        icon:'myIconguanzhu',
        page:'/pages/myFollow/myFollow'
      },
      {
        type:2,
        label:'检索记录',
        icon:'myIconguanzhu',
        page:'/pages/searchRecords/searchRecords'
      },
      {
        type:3,
        label:'工单记录',
        icon:'myIconguanzhu',
        page:'/pages/myWork/myWork'
      },
      {
        type:4,
        label:'监控',
        icon:'myIconmonitor',
        page:'/pages/monitor/monitor'
      },
    ],
    isLogin:false,
    userinfo:{},
    imgHttp:app.globalData.imghttp,
    show:false,
    actions: [
      {
        name: '编辑信息',
        page:'/pages/personalInformation/personalInformation',
        method:'editInformation'
      },
      {
        name: '退出登录',
        page:'',
        method:'logout'
      },
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    // this.getUserinfo()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
   var token = wx.getStorageSync('token')
   if(token){
     if(!this.data.isLogin){
       this.getUserinfo()
       this.setData(
        {
          isLogin:true
        }
      )
     }
   }else{
     this.setData(
       {
         isLogin:false
       }
     )
   }
  },


  /**
   * 页面功能
   */
  //获取用户信息
  getUserinfo(){
    api.selectPerson({},false).then(res=>{
      if(res.code == 200){
        this.setData(
          {
            isLogin:true,
            userinfo:res.data
          }
        )
      }
    }).catch(error=>{

      this.setData(
        {
          isLogin:false
        }
      )
    })
  },
  //登录
  login(){
    wx.navigateTo({
      url: '/pages/login/login',
    })
  },
  //修改个人信息
  editMessage(){
    // return false
    this.setData(
      {
        show:true
      }
    )
  },
  //关闭底部弹窗
  onClose() {
    this.setData({ show: false });
  },
  //选择弹窗选项
  onSelect(event) {
    console.log(event.detail);
    var btn = event.detail
    this[btn.method](btn)
  },
  //编辑个人信息
  editInformation(btn){
    var page = btn.page
    wx.navigateTo({
      url: page,
    })
  },
  //退出登录
  logout(){
    api.logout().then(res=>{
      if(res.code == 200){
        this.setData(
          {
            isLogin:false
          }
        )
        wx.setStorageSync('token', '')
      }
    })
    
  },
  //点击菜单
  clickMenu(e){
    var page = e.currentTarget.dataset.page
    var login = e.currentTarget.dataset.login
    if(login){
      wx.navigateTo({
        url: page,
      })
    }else{
      var token = wx.getStorageSync('token')
      if(token){
        wx.navigateTo({
          url: page,
        })
      }else{
        wx.showToast({
            title: '请先登录',
            icon: 'error',
            duration: 2000
          })
      }
    }
    
  },
  //开通会员
  openVIP(){
    wx.navigateTo({
      url: '/pages/memberCenter/memberCenter',
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})